Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.protocol
Class QueryResponse

    java.lang.Object
      com.intel.cosbench.protocol.Response
          com.intel.cosbench.protocol.QueryResponse

    public class QueryResponse

extends Response

The response for request to query snapshot from driver.

Author:
  ywang19

Constructor Summary
`QueryResponse()`

Method Summary
`int` | `getMaxVersion()`
`int` | `getMinVersion()`
`java.util.List<Metrics>` | `getReport()`
`java.util.Date` | `getTime()`
`int` | `getVersion()`
`boolean` | `isRunning()`
`void` | `setMaxVersion(int maxVersion)`
`void` | `setMinVersion(int minVersion)`
`void` | `setReport(java.util.List<Metrics> report)`
`void` | `setRunning(boolean running)`
`void` | `setTime(java.util.Date time)`
`void` | `setVersion(int version)`

Methods inherited from class com.intel.cosbench.protocol.Response
`getCode, getError, isSucc, setCode, setError, setSucc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponse

    public QueryResponse()

Method Detail

### getTime

    public java.util.Date getTime()

### setTime

    public void setTime(java.util.Date time)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getMinVersion

    public int getMinVersion()

### setMinVersion

    public void setMinVersion(int minVersion)

### getMaxVersion

    public int getMaxVersion()

### setMaxVersion

    public void setMaxVersion(int maxVersion)

### isRunning

    public boolean isRunning()

### setRunning

    public void setRunning(boolean running)

### getReport

    public java.util.List<Metrics> getReport()

### setReport

    public void setReport(java.util.List<Metrics> report)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD